let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_BACKEND_URL}`;

type Side = "top" | "bottom" | "left" | "right";

export const panelData = async (organization: string, zoneID: string, panelOrder: Side[]) => {
    console.log('panelOrder: ', panelOrder);
    console.log('zoneID: ', zoneID);
    console.log('organization: ', organization);
    try {
        const response = await fetch(`${url_Backend_dwinzo}/api/v1/panel/save`, {
            method: "POST",
            headers: {
                "Content-Type": "application/json",
            },
            body: JSON.stringify({ organization, zoneID, panelOrder }),
        });

        if (!response.ok) {
            throw new Error("Failed to add panelOrder for Zone");
        }

        const result = await response.json();
        return result;
    } catch (error) {
        if (error instanceof Error) {
            throw new Error(error.message);
        } else {
            throw new Error("An unknown error occurred");
        }
    }
};